function plot_Validation( hMainFig, hPlotAxes, nPlot, PARA )

% Get tsg application data
% ------------------------
tsg    = getappdata( hMainFig, 'tsg_data');
SAMPLE = tsg.preference.sample;

switch nPlot
  
  % ---------------------------------------------------------------------
  case 1
    
    erase_Line( hPlotAxes, 1 );

    if ~isempty( tsg.(PARA) )
      plot_Tsg( hMainFig, hPlotAxes, 1, tsg.DAYD, tsg.(PARA), tsg.([PARA '_QC']),...
                PARA,'','none','*',2);
    end
    
    if ~isempty( tsg.([SAMPLE '_EXT']) )
      
      % Plot circle for WS data
      % -----------------------
      ind   = 1: length( tsg.([SAMPLE '_EXT_TYPE']));
      indWS = strmatch( 'WS', tsg.([SAMPLE '_EXT_TYPE']), 'exact');
      if ~isempty(ind)
        plot_Tsg( hMainFig, hPlotAxes, 1,...
          tsg.DAYD_EXT(indWS), tsg.([SAMPLE '_EXT'])(indWS),...
          tsg.([SAMPLE '_EXT_QC'])(indWS), ...
          [SAMPLE '_EXT_1'],'','none','square',5);
      end
      
      % Plot squares for CTD, ARGO, etc. data
      % -------------------------------------
      indEXT = setxor(ind, indWS);
      if ~isempty(indEXT)
        plot_Tsg( hMainFig, hPlotAxes, 1, tsg.DAYD_EXT(indEXT),...
          tsg.([SAMPLE '_EXT'])(indEXT),...
          tsg.([SAMPLE '_EXT_QC'])(indEXT),...
          [SAMPLE '_EXT_2'],'','none','o',5);
      end
    end

  % ---------------------------------------------------------------------
  case 2
    
    erase_Line( hPlotAxes, 2 );
    if ~isempty( tsg.(PARA) )
      plot_Tsg( hMainFig, hPlotAxes, 2, tsg.DAYD, tsg.(PARA), [],...
                PARA,'k','none','*',2);
    end
    
  % ---------------------------------------------------------------------
  case 3
    erase_Line( hPlotAxes, 3 );
    if ~isempty( tsg.(PARA) )
      plot_Tsg( hMainFig, hPlotAxes, 3, tsg.DAYD, tsg.(PARA),[],...
                PARA,'k','none','*',2);
    end
end

axesCommonProp( hPlotAxes );

end
